=== src/CMakeLists.txt ===
add_subdirectory(maliput_osm)
add_subdirectory(plugin)
add_subdirectory(test_utilities)
add_subdirectory(utilities)
