=== src/maliput_osm/CMakeLists.txt ===
add_subdirectory(builder)
add_subdirectory(osm)
