=== test/osm/CMakeLists.txt ===
add_subdirectory(utilities)

ament_add_gtest(conversions_test conversions_test.cc)
ament_add_gtest(osm_manager_test osm_manager_test.cc)

add_dependencies_to_test(conversions_test)
add_dependencies_to_test(osm_manager_test)
