=== debian/control ===
Source: ros-foxy-maliput-osm
Section: misc
Priority: optional
Maintainer: Daniel Stonier <daniel.stonier@tri.global>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-cmake-clang-format <!nocheck>, ros-foxy-ament-cmake-gmock <!nocheck>, ros-foxy-ament-cmake-gtest <!nocheck>, ros-foxy-lanelet2-io, ros-foxy-maliput, ros-foxy-maliput-sparse, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-maliput-osm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-lanelet2-io, ros-foxy-maliput, ros-foxy-maliput-sparse, ros-foxy-ros-workspace
Description: Maliput backend for loading lanelet2-based osm maps.
